import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Sys004Service } from "app/views/sys/sys004/sys004.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Sys004Resolver implements Resolve<any> {
  constructor(private sys004Service: Sys004Service) {}

  resolve(): Observable<any> {

    return this.sys004Service.selectedRole;
  }
}
